<template>
  <div>
    <v-card class="options-container li" outlined width="500" color="blue lighten-3">
      <v-list color="blue-grey lighten-4" width="500">
        <v-subheader align="left">Alternativas</v-subheader>
        <v-list-item-group v-model="selectedItem">
          <v-list-item v-for="pokemon in pokemons"
            :key="pokemon.id"
            @click="$emit('seleccionarPokemon', pokemon.id)"
            >
            <v-list-item-content>
              <v-list-item-title v-text="pokemon.name"></v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-card>
  </div>
</template>

<script>
export default {
  data: () => ({
    selectedItem: -1,
  }),
  props: {
    pokemons: {
      type: Array,
      required: true,
    },
  },

  methods: {
    hola() {},
  },
};
</script>

<style scoped>
/* Pokemon Options */

.li {
  margin-right: auto;
  margin-left: auto;
}

.options-container {
  display: flex;
  justify-content: center;
}
</style>